Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Repeat

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.MultipleCSOperator
                  edu.udo.cs.miningmart.operator.Segmentation
                      edu.udo.cs.miningmart.operator.Repeat

    public class Repeat

extends Segmentation

Version:
  $Id: Repeat.java,v 1.4 2006/09/27 14:59:56 euler Exp $
Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`Repeat()`

Method Summary
`java.lang.String` | `generateConditionForOp(int columnSetIndex)` Not needed because method `generateSQLDefinition` is overridden.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart, int index)` Overrides the method from Segmentation.java because no where-clause is needed.
`int` | `numberOfSegments()` Getter method for parameter "HowOften".
`void` | `setCSSegmentInfo(java.lang.String inputMultiStepBranch, Columnset cs, int index)` Abstract method to be implemented by all Segmentation operators.

Methods inherited from class edu.udo.cs.miningmart.operator.Segmentation
`getTypeOfNewColumnSet, mustCopyFeature, numberOfColumnSets, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.MultipleCSOperator
`generateColumnSetsForOp, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Repeat

    public Repeat()

Method Detail

### generateConditionForOp

    public java.lang.String generateConditionForOp(int columnSetIndex)
                                            throws M4CompilerError

  Not needed because method `generateSQLDefinition` is overridden.

  Specified by:
    `generateConditionForOp` in class `Segmentation`
  Parameters:
    `columnSetIndex` - The number of the columnset for which the condition is to be generated
  Returns:
    the SQL condition as a String
  Throws:
    `M4CompilerError`
  See Also:
    `Segmentation.generateConditionForOp(int)`

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart,
                                                  int index)
                                           throws M4CompilerError

  Overrides the method from Segmentation.java because no where-clause is needed.

  Overrides:
    `generateSQLDefinition` in class `Segmentation`
  Parameters:
    `selectPart` - The String for the SELECT-part of the SQL definition to be created.
    `index` - An index for MultipleCSOperators.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#generateSQLDefinition(String, int)`

### numberOfSegments

    public int numberOfSegments()
                         throws M4CompilerError

  Getter method for parameter "HowOften".

  Specified by:
    `numberOfSegments` in class `Segmentation`
  Returns:
    the parameter "HowOften" as an integer
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.Segmentation#numberOfSegments`

### setCSSegmentInfo

    public void setCSSegmentInfo(java.lang.String inputMultiStepBranch,
                                 Columnset cs,
                                 int index)
                          throws M4CompilerError

  Description copied from class: `Segmentation`
  Abstract method to be implemented by all Segmentation operators. The multistep information about how the segmentation was done is set into the newly created columnset.

  Specified by:
    `setCSSegmentInfo` in class `Segmentation`
  Parameters:
    `inputMultiStepBranch` - the multistep information of the input columnset
    `cs` - the current output columnset
    `index` - the index of the output columnset
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.Segmentation#setCSSegmentInfo(String, Columnset, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005